#ifndef FPGA_GLOBAL_H
#define FPGA_GLOBAL_H

#include <errno.h>

enum log_level {LL_DEBUG = 0,
		LL_INFO,
		LL_WARNING,
		LL_ERROR,
		LL_CRITICAL,
		LL_COUNT};
enum log_level report(enum log_level log_level, const char *format, ...);

/* Error codes */
#define ECONN 1000 /* Tried to connect to already connected port */

#endif // FPGA_GLOBAL_H
